﻿Type=Class
Version=3.8
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Dim WebView1 As WebView
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Act As Activity)
	Act.LoadLayout("1")
	WebView1.LoadHtml(HTMLStr)
End Sub
Sub HTMLStr As String

	Dim HTML As StringBuilder
	HTML.Initialize
	HTML.Append("<!DOCTYPE html>" & CRLF)
	HTML.Append("<html>" & CRLF)
	HTML.Append("<head>" & CRLF)
	HTML.Append("<title>Video.js | HTML5 Video Player</title>" & CRLF)
	HTML.Append("<!-- Chang URLs to wherever Video.js files will be hosted -->" & CRLF)
	HTML.Append("<link href='video-js.css' rel='stylesheet' type='text/css'>" & CRLF)
	HTML.Append("<!-- video.js must be in the <head> for older IEs to work. -->" & CRLF)
	HTML.Append("<script src='video.js'></script>" & CRLF)
	HTML.Append("</head>" & CRLF)
	HTML.Append("<body>" & CRLF)
	HTML.Append("<video id='example_video_1' class='video-js vjs-default-skin' controls preload='none' width='" & (WebView1.width / Density) & "' height='" & (WebView1.Height / Density) & "'" & CRLF)
	HTML.Append("poster='http://video-js.zencoder.com/oceans-clip.png'" & CRLF)
	HTML.Append("poster='poster.png'" & CRLF)
	HTML.Append("data-setup='{}'>" & CRLF)
	
	'Download Demo file
	HTML.Append("<source src='http://video-js.zencoder.com/oceans-clip.mp4' type='video/mp4' />" & CRLF)

	HTML.Append("<source src='http://video-js.zencoder.com/oceans-clip.webm' type='video/webm' />" & CRLF)
	HTML.Append("<source src='http://video-js.zencoder.com/oceans-clip.ogv' type='video/ogg' />" & CRLF)

	'Load a local file
	'HTML.Append("<source src='" & WebViewAssetFile("myfile.mp4") & "' type='video/mp4' />" & CRLF)
	
	HTML.Append("<track kind='captions' src='demo.captions.vtt' srclang='en' label='English'></track><!-- Tracks need an ending tag thanks to IE9 -->" & CRLF)
	HTML.Append("<track kind='subtitles' src='demo.captions.vtt' srclang='en' label='English'></track><!-- Tracks need an ending tag thanks to IE9 -->" & CRLF)
	HTML.Append("<p class='vjs-no-js'>To view this video please enable JavaScript, and consider upgrading to a web browser that <a href='http://videojs.com/html5-video-support/'" & CRLF)
	HTML.Append("target='_blank'>supports HTML5 video</a></p>" & CRLF)
	HTML.Append("</video>" & CRLF)
	HTML.Append("</body>" & CRLF)
	HTML.Append("</html>" & CRLF)
	Return HTML.ToString
End Sub
'Erel's code to select the correct asset directory from here: http://www.basic4ppc.com/android/forum/threads/images-loaded-in-webviews-are-not-displayed-in-mode-%E2%80%9Cdebug-rapid-%E2%80%9D-b4a-3-50-version.38981/#post-230988
Sub WebViewAssetFile (FileName As String) As String
	Dim jo As JavaObject
	jo.InitializeStatic("anywheresoftware.b4a.objects.streams.File")
	If jo.GetField("virtualAssetsFolder") = Null Then
		Return "file:///android_asset/" & FileName.ToLowerCase
	Else
		Return "file://" & File.Combine(jo.GetField("virtualAssetsFolder"), _
		jo.RunMethod("getUnpackedVirtualAssetFile", Array As Object(FileName)))
	End If
End Sub
